<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:utils="ru.bitel.common.Utils"
	xmlns:common="http://common.bitel.ru">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
	<xsl:choose>	
		<xsl:when test="data/@action = 'Product'">Подписки</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'Product' and @operation='activate' and productSpecId &lt;= 0 and activationModeId &lt;= 0">
	 		<xsl:call-template name="ProductActivate"/>
		</xsl:when>
		<xsl:when test="@action = 'Product'">
		 	<xsl:call-template name="Product"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="head">
	<script language="javascript" type="text/javascript">
			<xsl:text disable-output-escaping="yes">
	<![CDATA[
	window.onload = function()
	{
		// filterAccountDetail();
	}
	
	function filterAccountDetail()
	{
		var table;
		for( i=1; (table=document.getElementById("sessionDetailTable_" + i))!=null; i++ )
		{
			if(table.rows[0].cells.length < 2)
			{
				document.getElementById("sessionDetailLink_" + i).style.display='none';
			}
		}
	}
	
	function reportExportRequest( format, zip )
	{
		$("oper").value = "historyExport"; 
		$("exportFormat").value = format;
		$("zip").value = zip;
		$("reportForm").submit();
	}
	
	function clearSelection( select ) {
		for (var i=0; i<select.options.length; i++) {
			select.options[i].selected = false;
		}
	}
	]]>
			</xsl:text>
		</script>
</xsl:template>
	
<xsl:template name="tvAccountFilter">
	<table class="filter">
		<tr>
			<td>Аккаунт:</td>
			<td>
				<select class="gradbtn " name="tvAccountId">
					<xsl:call-template name="tvAccountList"/>
				</select>
			</td>
		</tr>
	</table>
</xsl:template>		
	
	
<xsl:template name="tvAccountList">
   	<xsl:for-each select="/data/tvAccountList/data/item">
		<option>				
			<xsl:if test="/data/tvAccountId=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
			<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:value-of select="@title"/>				
		</option>
   	</xsl:for-each>
</xsl:template>
	
<xsl:template name="Product">

	<form id="show_form" method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" id="operation" name="operation"/>
	</form>
	
	<form id="reportForm" method="get" action='{$WEBEXECUTER}#idDivReport' name="sessions">
	
	<xsl:choose>
		<xsl:when test="/data/@operation='history'">
		
			<table class="filter" style="margin-bottom: 5pt;">
				<tr>
					<td style="padding-right:5pt;"><b><a href="#" onclick="jQuery('#operation')[0].value='execute';jQuery('#show_form')[0].submit();">Активные подписки</a></b></td>
					<td><b>Архив подписок</b></td>
				</tr>
			</table>		
		
			<input id="oper" type="hidden" name="operation" value="history"/>
			<xsl:variable name="module" select="/data/@module"/>
			<div class="filter" style="margin-bottom: 10pt">
			<xsl:call-template name="action"/>
			<table style="width: 800px"><tr>
			<td><xsl:call-template name="tvAccountFilter"/></td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Вывести'"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template></td>
			<td width="100%"><xsl:if test="/data/tvAccountId &gt; 0">
			<div class="bgPagesWidget" style="text-align: right;" recordCount="{page/@recordCount}"
			pageIndex="{page/@pageIndex}" pageSize="{page/@pageSize}" pageCount="{page/@pageCount}" >
			<xsl:attribute name="query"><xsl:value-of select="$WEBEXECUTER"/>?action=<xsl:value-of select="/data/@action"/>&amp;module=<xsl:value-of select="/data/@module"/>&amp;mid=<xsl:value-of select="/data/@mid"/>&amp;contractId=<xsl:value-of select="/data/@id"/>&amp;operation=<xsl:value-of select="/data/@operation"/>&amp;tvAccountId=<xsl:value-of select="/data/tvAccountId/text()"/></xsl:attribute></div>
			</xsl:if></td>
			</tr></table>
			</div>
		</xsl:when>
		<xsl:otherwise>
		
			<table class="filter" style="margin-bottom: 5pt;">
				<tr>
					<td style="padding-right:5pt;"><b>Активные подписки</b></td>
					<td><b><a href="#" onclick="jQuery('#operation')[0].value='history';jQuery('#show_form')[0].submit();">Архив подписок</a></b></td>
				</tr>
			</table>	

			<input id="oper" type="hidden" name="operation" value="execute"/>   
			<xsl:variable name="module" select="/data/@module"/>
			<div class="filter" style="margin-bottom: 10pt">
			<xsl:call-template name="action"/>
			<table style="width: 800px"><tr>
			<td><xsl:call-template name="tvAccountFilter"/></td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Вывести'"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template></td>
			<td width="100%"><xsl:if test="/data/tvAccountId &gt; 0">
			<div>
			<xsl:attribute name="query"><xsl:value-of select="$WEBEXECUTER"/>?action=<xsl:value-of select="/data/@action"/>&amp;module=<xsl:value-of select="/data/@module"/>&amp;mid=<xsl:value-of select="/data/@mid"/>&amp;contractId=<xsl:value-of select="/data/@id"/>&amp;operation=<xsl:value-of select="/data/@operation"/>&amp;tvAccountId=<xsl:value-of select="/data/tvAccountId/text()"/></xsl:attribute></div>
			</xsl:if></td>
			</tr></table>
			</div>
		</xsl:otherwise>
	</xsl:choose>

	<xsl:if test="/data/tvAccountId &gt; 0">

		<table class="table800">
			<thead>
				<tr>
					<td>Продукт</td>
					<td>Начало</td>
					<td>Окончание</td>
					<xsl:if test="/data/@operation!='history'">
						<td>Стоимость, руб./период</td>
						<td>Оплачено до</td>
						<td>Состояние</td>
					</xsl:if>
				</tr>
			</thead>
			<xsl:if test="common:result/data/item">
			
			<xsl:variable name="productOfferingList" select="productOfferingList/data"/>
			
				<tbody>
					<xsl:for-each select="common:result/data/item">
					
					<xsl:variable name="productSpecId" select="@productSpecId"/>
					<xsl:variable name="activationModeId" select="@activationModeId"/>
					
					<xsl:variable name="productOffering" select="$productOfferingList/item[productSpec/@id=$productSpecId]"/>
					<xsl:variable name="productOfferingActivationMode" select="$productOffering/activationModeList/productOfferingActivationMode[productSpecActivationMode/@id=$activationModeId]"/>
					
					<xsl:variable name="activationMode" select="$productOffering/productSpec/activationModeList/productSpecActivationMode[@id=$activationModeId]"/>
					
					<xsl:variable name="count" select="position()"/>
					<tr>
						<td><xsl:value-of select="@productSpecTitle"/><xsl:value-of select="@description"/></td>
						<td nowrap="1"><xsl:value-of select="@timeFrom"/></td>
<!-- 						<td nowrap="1"><xsl:value-of select="@timeTo"/></td> -->
						
						<td nowrap="1"><xsl:choose>
							<xsl:when test="@timeTo and string-length(@timeTo) &gt; 0">
								<xsl:value-of select="@timeTo"/>

								<xsl:variable name="optionId" select="@optionId"/>
								<xsl:variable name="activatedMode" select="@activatedMode"/>

								<xsl:if test="$productOffering/productSpec/@activationByCustomer='false' and $activationMode/@reactivationMode='1' and $activationMode/@periodAmount='0'">
									<br/>
									<xsl:call-template name="button">
										<xsl:with-param name="align" select="'center'"/>
										<xsl:with-param name="onclick">if( confirm( &quot;Вы уверены, что хотите реактивировать подписку?&quot; ) ){ jQuery('#reactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#reactivate_form')[0].submit(); return false; }</xsl:with-param>
										<xsl:with-param name="title" select="'Реактивировать'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$productOffering/productSpec/@activationByCustomer='false' and $activationMode">
								<xsl:call-template name="button">
									<xsl:with-param name="align" select="'center'"/>
									<xsl:with-param name="onclick">if( confirm( &quot;Вы уверены, что хотите деактивировать подписку?&quot; ) ){ jQuery('#deactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#deactivate_form')[0].submit(); return false; }</xsl:with-param>
									<xsl:with-param name="title" select="'Деактивировать'"/>
								</xsl:call-template>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose></td>
						
						<xsl:if test="/data/@operation!='history'">
							<td nowrap="1"><xsl:value-of select="$productOfferingActivationMode/@priceString"/></td>
							<td nowrap="1"><xsl:value-of select="@subscriptionTimeTo"/></td>
							<td nowrap="1">
								<xsl:choose><xsl:when test="@devState=1">включен</xsl:when><xsl:otherwise>отключен</xsl:otherwise></xsl:choose>
							</td>
						</xsl:if>
						
						
						<!-- 
						<td>
						<xsl:choose>
							<xsl:when test="@timeTo and string-length(@timeTo) &gt; 0">
								<xsl:value-of select="@timeTo"/>

								<xsl:variable name="productSpecId" select="@productSpecId"/>
								<xsl:variable name="activationModeId" select="@activationModeId"/>
								
								<xsl:if test="productOfferingList/data/item/productSpec[@id=$productSpecId]/activationModeList/item[@id=$activationModeId]/@reactivationMode = 1">
									<xsl:call-template name="button">
										<xsl:with-param name="align" select="'center'"/>
										<xsl:with-param name="onclick">if( confirm( &quot;Вы уверены, что хотите реактивировать продукт?&quot; ) ){ jQuery('#reactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#reactivate_form')[0].submit(); }</xsl:with-param>
										<xsl:with-param name="title" select="'Реактивировать'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="button">
									<xsl:with-param name="align" select="'center'"/>
									<xsl:with-param name="onclick">if( confirm( &quot;Вы уверены, что хотите деактивировать продукт?&quot; ) ){ jQuery('#deactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#deactivate_form')[0].submit(); }</xsl:with-param>
									<xsl:with-param name="title" select="'Деактивировать'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose> 
						</td>-->
						
					</tr>
					<tr style="display: none" id="sessionDetail_{$count}">
						<td colspan="7">
						
						<xsl:variable name="session" select="."/>
					
						<table class="table800" id="sessionDetailTable_{$count}"><thead><tr><td style="width: 10em">Услуга</td>
						
						<xsl:for-each select="/data/services/data/item">
							<xsl:variable name="serviceId"><xsl:value-of select="@id"/></xsl:variable>
							<xsl:variable name="serviceAmount" select="$session/accountMap/entry[key/text()=$serviceId]/value/@amount + sum($session/children/child/accountMap/entry[key/text()=$serviceId]/value/@amount)"/>
							
							<xsl:if test="$serviceAmount>0">
								<td><xsl:value-of select="@title"/></td>
							</xsl:if>
						</xsl:for-each>

						</tr></thead><tbody><tr><td>Наработка</td>

						<xsl:for-each select="/data/services/data/item">
							<xsl:variable name="serviceId"><xsl:value-of select="@id"/></xsl:variable>
							<xsl:variable name="serviceAmount" select="$session/accountMap/entry[key/text()=$serviceId]/value/@amount + sum($session/children/child/accountMap/entry[key/text()=$serviceId]/value/@amount)"/>

							<xsl:if test="$serviceAmount>0">
								<td><xsl:value-of select="format-number(($serviceAmount div /data/unit), '### ### ### ##0.000', 'summa')"/></td>
							</xsl:if>
						</xsl:for-each>

						</tr><tr><td>Сумма, руб.</td>

						<xsl:for-each select="/data/services/data/item">
							<xsl:variable name="serviceId"><xsl:value-of select="@id"/></xsl:variable>
							<xsl:variable name="serviceAmount" select="$session/accountMap/entry[key/text()=$serviceId]/value/@amount + sum($session/children/child/accountMap/entry[key/text()=$serviceId]/value/@amount)"/>
							<xsl:variable name="serviceCost" select="$session/accountMap/entry[key/text()=$serviceId]/value/@account + sum($session/children/child/accountMap/entry[key/text()=$serviceId]/value/@account)"/>
							
							<xsl:if test="$serviceAmount>0">
								<td><xsl:value-of select="format-number($serviceCost, '### ### ### ##0.00000', 'summa')"/></td>
							</xsl:if>
						</xsl:for-each>

						</tr></tbody>
						</table>
						
						
						</td>
					</tr>
					</xsl:for-each>
				</tbody>
			</xsl:if>	
			<tfoot>
			  
			</tfoot>
		</table>		
	
	</xsl:if></form>
	
	<form id="deactivate_form" method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" id="tvAccountId" name="tvAccountId" value="{/data/tvAccountId}"/>
		<input type="hidden" name="operation" value="deactivate"/>
		<input type="hidden" id="productId" name="id"/>
	</form>
	
	<form id="reactivate_form" method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" id="tvAccountId" name="tvAccountId" value="{/data/tvAccountId}"/>
		<input type="hidden" name="operation" value="reactivate"/>
		<input type="hidden" name="id"/>
	</form>
	
	
	<xsl:if test="/data/tvAccountId &gt; 0 and /data/@operation != 'history'">
		<br/>	
		<form id="activate_form" method="get" action="{$WEBEXECUTER}">
			<xsl:call-template name="action"/>
			<input type="hidden" name="operation" value="activate"/>
			<input type="hidden" name="tvAccountId" value="{/data/tvAccountId}"/>
			
			<table class="filter">
				<tr>
					<td>
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="'Активировать подписку'"/>
						</xsl:call-template>
					</td>
				</tr>			
			</table>
		</form>
	</xsl:if>
	
</xsl:template>


<xsl:template name="ProductActivate">

	<!-- <xsl:call-template name="nav"><xsl:with-param name="all" select="'1'"/></xsl:call-template>  -->

	<xsl:choose><xsl:when test="not(productOfferingList/data/item)">
		<em>
			На данный момент нет продуктов, подписку на которые Вы могли бы активировать.
		</em>
	</xsl:when><xsl:otherwise>
		<em>
			Выберите продукт, подписку на который хотите активировать, режим активации и нажмите "Активировать".
		</em>
	</xsl:otherwise></xsl:choose>

	<xsl:for-each select="//productOfferingList/data/item[@enable='true']">
		<div style="width:800px">
		<form method="get" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" name="operation" value="activate"/>
		<input type="hidden" name="tvAccountId" value="{/data/tvAccountId}"/>
		<input type="hidden" name="productSpecId" value="{productSpec/@id}"/>
		
		<p style="font-size:120%; font-weight: bold; margin-bottom: 5px;"><xsl:value-of select="productSpec/@title"/></p>
		<xsl:value-of select="productSpec/description" disable-output-escaping="yes"/><br/>
		
		<div style="display: inline-block; padding-left: 30pt; padding-bottom: 5pt;">
		<table class="table" style="margin-top: 5pt; margin-bottom: 5pt; font-size: 90%;">
		<thead><tr>
			<th>Режим активации</th>
			<th>Стоимость активации, руб.</th>
			<th>Стоимость подписки, руб./период</th>
		</tr></thead>
		<tbody>
			<xsl:for-each select="activationModeList/productOfferingActivationMode/productSpecActivationMode">
				<tr>
					<td style="vertical-align: bottom; text-align: left">
						<input type="radio" name="activationModeId" value="{@id}" id="activationMode{@id}"/>
						<label for="activationMode{@id}"><xsl:value-of select="@title" /></label>
					</td>
					<td style="vertical-align: bottom"><xsl:value-of select="format-number(../@activationPrice, '### ### ### ##0.00', 'summa')"/></td>
					<td style="vertical-align: bottom"><xsl:value-of select="../@priceString"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
		</table>	
		
		<div align="right">
		<xsl:call-template name="button">
			<xsl:with-param name="align" select="'right'"/>
			<xsl:with-param name="onclick">if( confirm( &quot;Вы уверены, что хотите активировать подписку?&quot; ) ){ this.form.submit(); return false; }</xsl:with-param>
			<xsl:with-param name="title" select="'Активировать'"/>
		</xsl:call-template>
		</div>
		</div>
		
		</form>
		</div>
	</xsl:for-each>
	
</xsl:template>

<xsl:template name="ChangeLoginPassword">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<input type="hidden" name="operation" value="change"/>

		<xsl:if test="/data/status/text() = 'ok'"><div class="infoMessage">Пароль изменен!</div></xsl:if>

		<div class="report">
			<table cellspacing="1">
			<tbody>
				<tr>
    				<td nowrap="1">Логин:</td>
	    			<td>
     					<select class="gradbtn " name="login">
					   	<xsl:for-each select="/data/servs/data/item">
							<option>
								<xsl:if test="@id=/data/selectedId/text()"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
								<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
								<xsl:value-of select="@uname"/>
							</option>
					   	</xsl:for-each>
        				</select>
        			</td>
				</tr>  
    			<tr>
    				<td nowrap="1">Старый пароль:</td>
					<td><input type="password" name='old_pswd' maxlength='15'/></td>
				</tr>
    			<tr>
        			<td nowrap="1">Новый пароль:</td>
					<td><input type="password" name='pswd1' maxlength='15'/></td>
				</tr>
				<tr>
					<td nowrap="1">Повторите пароль:</td>
					<td><input type="password" name='pswd2' maxlength='15'/></td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan='2'>
						<xsl:call-template name="submit"><xsl:with-param name="title" select="'Сменить'"/></xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>

<xsl:template name="AddReportReferences">
	<div>
		<input type="hidden" id="exportFormat" name="exportFormat" />
		<input type="hidden" id="zip" name="zip" />
		
		Отчет в виде:
		<a title="CSV" href="#" onclick="reportExportRequest( 'csv', 0 );">CSV</a>,
		<a title="HTML" href="#" onclick="reportExportRequest( 'html', 0 );">HTML</a>,
		<a title="CSV/ZIP" href="#" onclick="reportExportRequest( 'csv', 1 );">CSV/ZIP</a>,
		<a title="HTML/ZIP" href="#" onclick="reportExportRequest( 'html', 1 );">HTML/ZIP</a>
	</div>
</xsl:template>

<xsl:template name="TrafficReport">
	<form method='get' action='{$WEBEXECUTER}'>
	<xsl:call-template name="action"/>	
	<xsl:call-template name="error"/>	
	<table class="filter">
	<tr>
		<td colspan="2">
			<table><tr>
				<td>Сервис:</td>
				<td style="width:100%">
					<select name="inetServId" style="width:100%" onchange="clearSelection(this.form.trafficTypeIds);this.form.submit()">
						<xsl:call-template name="tvAccountList"/>
					</select>
				</td>
			</tr></table>
		</td>
	</tr>
	<tr>
		<td>Трафик:</td>
		<td></td>
	</tr>
	<tr>
		<td>
			<select size='6' name='trafficTypeIds' multiple='1' style="min-width: 150px;">
		   	<xsl:for-each select="/data/trafficTypes/data/item">
				<option>				
					<xsl:if test="/data/trafficTypeIds/data/item=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
					<xsl:value-of select="@title"/>				
				</option>
		   	</xsl:for-each>
			</select>
		</td>
		<td rowspan="1" style="text-align:right; vertical-align:top;">
			<div align="right"><xsl:call-template name="dayFilterForm"><xsl:with-param name="withSubmit" select="0"></xsl:with-param></xsl:call-template></div>
			<div style="vertical-align: bottom">
				Ед. измерения:<select style="margin-right:2px" name='unit'>
					<xsl:call-template name="unit_list"/>
				</select>

				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Вывести'"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<em class='comment'>Для выделения сразу нескольких трафиков держите нажатой клавишу 'Ctrl'</em>
		</td>
	</tr>
	</table>
	</form>
	
	<em class='comment'>Обратите внимание, что в данном отчете выводится информация по трафикам только завершенных сессий.</em>

	<xsl:if test="/data/common:result">
	<xsl:if test="/data/chart">
	<div>
	<img style="margin-top: 15pt; width: 800px; height: 300px;" src="webexecuter?module={/data/@module}&amp;mid={/data/@mid}&amp;action=TrafficReport&amp;operation=chart&amp;chart={/data/chart}"/>
	</div>
	</xsl:if>
	
	<xsl:variable name="unit" select="/data/unit"/>
	
	<table class="table800" style="margin-top: 5pt; margin-bottom: 5pt;">
	
	<xsl:choose><xsl:when test="/data/days/data/item">
		<xsl:call-template name="addStatRow">
			<xsl:with-param name="row" select="1"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template>
		<xsl:call-template name="addStatRow">
			<xsl:with-param name="row" select="2"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template>
		<xsl:call-template name="addStatRow">
			<xsl:with-param name="row" select="3"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template>
		<xsl:call-template name="addStatRow">
			<xsl:with-param name="row" select="4"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template>
	</xsl:when><xsl:otherwise>
		<tr><xsl:call-template name="addStatRowHourHeader">
			<xsl:with-param name="hour" select="0"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
		<tr><xsl:call-template name="addStatRowHourValue">
			<xsl:with-param name="hour" select="0"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
		<tr><xsl:call-template name="addStatRowHourHeader">
			<xsl:with-param name="hour" select="8"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
		<tr><xsl:call-template name="addStatRowHourValue">
			<xsl:with-param name="hour" select="8"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
		<tr><xsl:call-template name="addStatRowHourHeader">
			<xsl:with-param name="hour" select="16"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
		<tr><xsl:call-template name="addStatRowHourValue">
			<xsl:with-param name="hour" select="16"/>
			<xsl:with-param name="unit" select="$unit"/>
		</xsl:call-template></tr>
	</xsl:otherwise></xsl:choose>
	
	</table>
	
	<div style="font-weight: bold">Итого: <xsl:value-of select="format-number( sum(/data/common:result/data/item/trafficMap/entry/value) div $unit, '### ### ### ##0.###', 'summa')"/>
		&#160;<xsl:call-template name="unit_title"><xsl:with-param name="unit" select="$unit"/></xsl:call-template>
	</div>
	
	</xsl:if>

</xsl:template>


<xsl:template name="addStatRow">
<xsl:param name="row"/>
<xsl:param name="unit"/>

<xsl:variable name="days" select="/data/days/data/item[ floor((number(text())-1) div 10) = ($row - 1) ]"/>

<xsl:if test="$days">
<tr>
<xsl:for-each select="$days">
	<xsl:variable name="day" select="number(.)"/>
	<th style="width: 10%"><xsl:value-of select="$day"/></th>
</xsl:for-each>
</tr>
<tr>
<xsl:for-each select="$days">
	<xsl:variable name="day" select="number(.)"/>
	<td><xsl:value-of select="format-number( sum(/data/common:result/data/item[periodDay=$day]/trafficMap/entry/value) div $unit, '### ### ### ##0.###', 'summa')"/></td>
</xsl:for-each>
</tr>
</xsl:if>
</xsl:template>

<xsl:template name="addStatRowHourHeader">
<xsl:param name="hour"/>
<xsl:param name="unit"/>

<th style="width: 10%"><xsl:value-of select="$hour"/></th>

<xsl:if test="($hour + 1) mod 8 != 0">
	<xsl:call-template name="addStatRowHourHeader">
		<xsl:with-param name="hour" select="$hour+1"/>
		<xsl:with-param name="unit" select="$unit"/>
	</xsl:call-template>
</xsl:if>
</xsl:template>

<xsl:template name="addStatRowHourValue">
<xsl:param name="hour"/>
<xsl:param name="unit"/>

<td><xsl:value-of select="format-number( sum(/data/common:result/data/item[periodHour=$hour]/trafficMap/entry/value) div $unit, '### ### ### ##0.###', 'summa')"/></td>

<xsl:if test="($hour + 1) mod 8 != 0">
	<xsl:call-template name="addStatRowHourValue">
		<xsl:with-param name="hour" select="$hour+1"/>
		<xsl:with-param name="unit" select="$unit"/>
	</xsl:call-template>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
